﻿using System.Text;

namespace Mediachase.Search.Providers.Solr35.Select
{
    internal class FieldQuery : QueryPart
    {
        private string fieldName;
        private string value;

        public FieldQuery(string fieldName, string value)
        {
            this.fieldName = fieldName;
            this.value = SolrSearchQueryBuilder.EscapeValueString(value);
        }

        public override bool HasContent()
        {
            return true;
        }

        public override void AppendTo(StringBuilder builder)
        {
            builder.Append(fieldName).Append(':').Append(value);
        }
    }
}
