﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mediachase.Search.Providers.Solr35
{
    /// <summary>
    /// General SOLR Search Exception
    /// </summary>
    class SolrSearchException : SearchException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SolrSearchException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public SolrSearchException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SolrSearchException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public SolrSearchException(string message)
            : base(message)
        {
        }

    }
}
